cURL/libcURL CVE-2018-16890 Heap Buffer Overflow Vulnerability

Bugtraq ID: 106947
Class: Boundary Condition Error
CVE: CVE-2018-16890
Remote: Yes
Local: No
Published: Feb 06 2019 12:00AM
Updated: Feb 06 2019 12:00AM
Credit: Wenxiang Qian of Tencent Blade Team
Vulnerable: Ubuntu Ubuntu Linux 18.10
Ubuntu Ubuntu Linux 18.04 LTS
Ubuntu Ubuntu Linux 16.04 LTS
Ubuntu Ubuntu Linux 14.04 LTS
Haxx Libcurl 7.63
Haxx Libcurl 7.62
Haxx Libcurl 7.61.1
Haxx Libcurl 7.61
Haxx Libcurl 7.60
Haxx Libcurl 7.59
Haxx Libcurl 7.58
Haxx Libcurl 7.57
Haxx Libcurl 7.56.1
Haxx Libcurl 7.56
Haxx Libcurl 7.55.1
Haxx Libcurl 7.54.1
Haxx Libcurl 7.54
Haxx Libcurl 7.53.1
Haxx Libcurl 7.53
Haxx Libcurl 7.52
Haxx Libcurl 7.51
Haxx Libcurl 7.50.3
Haxx Libcurl 7.50.2
Haxx Libcurl 7.50.1
Haxx Libcurl 7.50
Haxx Libcurl 7.47
Haxx Libcurl 7.46
Haxx Libcurl 7.43
Haxx Libcurl 7.42.1
Haxx Libcurl 7.36
Haxx Libcurl 7.6.1
Haxx Libcurl 7.6
Haxx Libcurl 7.55.0
Haxx Libcurl 7.52.1
Haxx Libcurl 7.5.2
Haxx Libcurl 7.5.1
Haxx Libcurl 7.49.0
Haxx Libcurl 7.48.0
Haxx Libcurl 7.42.0
Haxx Libcurl 7.41.0
Haxx Libcurl 7.40.0
Haxx Libcurl 7.4.2
Haxx Libcurl 7.4.1
Haxx Libcurl 7.4
Haxx Libcurl 7.39
Haxx Libcurl 7.38.0
Haxx Libcurl 7.37.1
Haxx Libcurl 7.37.0
Haxx Curl 7.62
Haxx Curl 7.61.1
Haxx Curl 7.61
Haxx Curl 7.60
Haxx Curl 7.59
Haxx Curl 7.58
Haxx Curl 7.56.1
Haxx Curl 7.56
Haxx Curl 7.55.1
Haxx Curl 7.55
Haxx Curl 7.54.1
Haxx Curl 7.54
Haxx Curl 7.53.1
Haxx Curl 7.53
Haxx Curl 7.52
Haxx Curl 7.51
Haxx Curl 7.50.3
Haxx Curl 7.50
Haxx Curl 7.47
Haxx Curl 7.46
Haxx Curl 7.45
Haxx Curl 7.43
Haxx Curl 7.42.1
Haxx Curl 7.36
Haxx Curl 7.63.0
Haxx Curl 7.6.1
Haxx Curl 7.6
Haxx Curl 7.57.0
Haxx Curl 7.52.1
Haxx Curl 7.50.1
Haxx Curl 7.49.0
Haxx Curl 7.48.0
Haxx Curl 7.42.0
Haxx Curl 7.41.0
Haxx Curl 7.40.0
Haxx Curl 7.39.0
Haxx Curl 7.38.0
Haxx Curl 7.37.1
Not Vulnerable: Haxx Curl 7.64.0


 

Privacy Statement
Copyright 2010, SecurityFocus